Bug 222410 - www/otrs: Convert to options framework
Summary: www/otrs: Convert to options framework
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-17 19:23 UTC by Bernard Spil
Modified: 2018-01-02 23:32 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (m.tsatsenko)


Attachments
svn diff for www/otrs (1.57 KB, patch)
2017-09-17 19:23 UTC, Bernard Spil
no flags Details | Diff
patch (3.44 KB, patch)
2017-10-06 19:56 UTC, m.tsatsenko
m.tsatsenko: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2017-09-17 19:23:25 UTC
Created attachment 186481 [details]
svn diff for www/otrs

Started due to https://reviews.freebsd.org/D12308, USE_* should not be used after including bsd.port.pre.mk

With the new OPTIONS, there's no need for pre/options/post any longer as shown in the patch.

Please test and let me know if this works for you, I'll commit it.
Comment 1 m.tsatsenko 2017-09-27 00:57:30 UTC
Hello,
Thanks for your work! But it seems the patch somehow breaks the things and as a result the port fails to install.
I will have a more detailed look next days.
Comment 2 m.tsatsenko 2017-09-30 15:52:29 UTC
Hello,
I have figured out what was causing the issue. The problem is we still need bsd.port.pre.mk/bsd.port.post.mk to get it installed.
Now I am working on a few small changes and will submit a modified patch soon.
Comment 3 m.tsatsenko 2017-10-06 19:56:48 UTC
Created attachment 186966 [details]
patch

- Update to 5.0.23
- Fix plist
- Add missing deps. See bug 221002 for details
- Convert to options framework

QA:
portlint OK
poudriere 111amd64 OK
Comment 4 commit-hook freebsd_committer 2017-10-07 18:25:32 UTC
A commit references this bug:

Author: brnrd
Date: Sat Oct  7 18:25:20 UTC 2017
New revision: 451469
URL: https://svnweb.freebsd.org/changeset/ports/451469

Log:
  www/otrs: Update to 5.0.23

   - Update to 5.0.23
   - Add missing deps [1]
   - Fix plist
   - Convert to options framework

  PR:		222410, 221002 [1]
  Approved by:	m.tsatsenko@gmail.com (maintainer)

Changes:
  head/www/otrs/Makefile
  head/www/otrs/distinfo
  head/www/otrs/pkg-plist
Comment 5 commit-hook freebsd_committer 2018-01-02 23:32:30 UTC
A commit references this bug:

Author: dbaio
Date: Tue Jan  2 23:31:57 UTC 2018
New revision: 457936
URL: https://svnweb.freebsd.org/changeset/ports/457936

Log:
  MFH: r451469 r457648

  www/otrs: Update to 5.0.23

   - Update to 5.0.23
   - Add missing deps [1]
   - Fix plist
   - Convert to options framework

  PR:		222410, 221002 [1]
  Approved by:	m.tsatsenko@gmail.com (maintainer)

  www/otrs: Update to 5.0.26, Fixes multiple security vulnerabilities

  Changes:	https://www.otrs.com/release-notes-otrs-5s-patch-level-24/
  		https://www.otrs.com/release-notes-otrs-5s-patch-level-25/
  		https://www.otrs.com/release-notes-otrs-5s-patch-level-26/

  PR:		224729
  Submitted by:	Vidar Karlsen <vidar@karlsen.tech>
  Approved by:	Mikhail Tsatsenko <m.tsatsenko@gmail.com> (maintainer)
  Security:	cebd05d6-ed7b-11e7-95f2-005056925db4

  Approved by:	ports-secteam (zi)

Changes:
_U  branches/2017Q4/
  branches/2017Q4/www/otrs/Makefile
  branches/2017Q4/www/otrs/distinfo
  branches/2017Q4/www/otrs/pkg-plist